/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2017
 * @version 1.6.2
 * @date	20/02/2017
 * @compatibility pluxml 5.5.0
 */
 
(function () {	// initialisation
    
	/**
     * Cache l'item du menu
     *
     * @param string Nom de la class du tableau
     * @param string Valeur de l'attribut href du lien de l'item
     * @return void
     */
	function removeLinkInUList(hrefValue)
	{
		
        var uListElement = document.getElementById("form_comment").getElementsByTagName('ul');
        
        for(var k = 0; k < uListElement.length; k++)
        {
            var aElements = uListElement[k].getElementsByTagName("a");

            for (var i = 0; i < aElements.length; i++) {
                var aHref = aElements.item(i).href;

    			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
                   var liElement = aElements.item(i).parentNode;
                   var content = aElements.item(i).firstChild;

                   liElement.replaceChild(content, aElements.item(i));
                   i--;

                    //aElements.item(i).style.display = 'none';
    			}	
    		}  
        }
        
        return true;
	}

    // -------------------------------------------------------------------
    
    function removeLinkInBlock(hrefValue)
    {
        var blocks = document.getElementsByTagName("small");
       
        for (var k = 0; k < blocks.length; k ++) {
            var aElements = blocks[k].getElementsByTagName("a");
            
            for (var i = 0; i < aElements.length; i++) {
                var aHref = aElements.item(i).href;
    
    			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
                   var pElement = aElements.item(i).parentNode;
                   var content = aElements.item(i).firstChild;
    
                   pElement.replaceChild(content, aElements.item(i));
                   i--;
    			}	
    		}  
        }        
    }

    // -------------------------------------------------------------------
    
	function init()
	{
        if (! plugin_adm_user_rights["art"]["edit"]) { // Edition d'un article
            removeLinkInUList('article.php');
        }

        if (! plugin_adm_user_rights["comm"]["edit"]) { // Edition d'un commentaire
            removeLinkInBlock('comment.php');
        }    
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();